Name:           lorax-templates-rhel
Version:        8.0
Release:        20%{?dist}
Summary:        RHEL8 build templates for lorax and livemedia-creator

License:        GPLv2+
URL:            https://github.com/weldr/lorax
BuildArch:      noarch
Source0:        lorax-templates-rhel-8.0-20.tar.gz

# Where are these supposed to end up?
%define templatedir %{_datadir}/lorax/templates.d/80-rhel

%description
RHEL-specific Lorax templates for creating the boot.iso and live isos are
placed in %{templatedir}

%prep
%setup

%build
# nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{templatedir}
cp -a 80-rhel/* $RPM_BUILD_ROOT/%{templatedir}

%files
%dir %{templatedir}
%{templatedir}/*

%changelog
* Fri Mar 01 2019 Brian C. Lane <bcl@redhat.com> - 8.0-20
- Make sure lscpu is installed
  Resolves: rhbz#1684050

* Wed Sep 19 2018 Brian C. Lane <bcl@redhat.com> - 8.0-19
- Include python3-pyatspi on boot.iso (bcl)
  Resolves: rhbz#1543290

* Wed Sep 12 2018 Brian C. Lane <bcl@redhat.com> - 8.0-18
- re-add temporarily removed packages (bcl)
  Related: rhbz#1622395
- Use google-noto-sans-cjk-ttc-fonts (bcl)
  Resolves: rhbz#1626368

* Fri Sep 07 2018 Brian C. Lane <bcl@redhat.com> - 8.0-17
- Install the oscap-anaconda-addon
  Resolves: rhbz#1626459

* Wed Aug 22 2018 Brian C. Lane <bcl@redhat.com> - 8.0-16
- Install libreport-rhel-anaconda-bugzilla
  Related: rhbz#1593734

* Mon Aug 20 2018 Brian C. Lane <bcl@redhat.com> - 8.0-15
- import-state.service from initscripts is needed by Anaconda
  Resolves: rhbz#1618668

* Mon Aug 20 2018 Josh Boyer <jwboyer@redhat.com> - 8.0-14
- Remove fbset from runtime-install
  Resolves: rhbz#1615430

* Wed Aug 15 2018 Brian C. Lane <bcl@redhat.com> - 8.0-13
- Add prefixdevname package
  Resolves: rhbz#1615991

* Thu Aug 02 2018 Troy Dawson <tdawson@redhat.com> - 8.0-12
- Drop dependency on bridge-utils Resolves: #1588705

* Thu Jul 26 2018 Troy Dawson <tdawson@redhat.com> - 8.0-11
- Expand variables and wildcards in runtime-install.tmpl
- Cleanup the sections and packages not in RHEL8.

* Wed Jul 25 2018 Andrew Hills <ahills@redhat.com> - 8.0-10
- Drop btrfs-progs from installpkgs (RCM-38058)

* Fri Jul 20 2018 Brian C. Lane <bcl@redhat.com> - 8.0-8
- Don't activate default auto connections after switchroot
  Resolves: rhbz#1555934

* Mon Jul 09 2018 Brian C. Lane <bcl@redhat.com> - 8.0-7
- Add hostname to the rootfs for iscsi
  Resolves: rhbz#1599183

* Thu Jun 21 2018 Ian McLeod <imcleod@redhat.com> - 8.0-6
- Temporarily disable dracut-fips to allow building images in VMs

* Wed Jun 20 2018 David Cantrell <dcantrell@redhat.com> - 8.0-5
- Make sure perl-interpreter is installed

* Tue Jun 19 2018 Ian McLeod <imcleod@redhat.com> - 8.0-4
- Comment where RHEL8 removals have taken place
- Temporarily remove X server and drivers from all architectures

* Tue Jun 19 2018 Ian McLeod <imcleod@redhat.com> - 8.0-3
- Properly update build environment to pull these changes in

* Tue Jun 19 2018 Ian McLeod <imcleod@redhat.com> - 8.0-2
- Remove several _more_ packages from installer - same reason as below

* Tue Jun 19 2018 Ian McLeod <imcleod@redhat.com> - 8.0-1
- Remove several packages from installer based on current state of BaseOS/AppStream

* Mon Jun 18 2018 Will Woods <wwoods@redhat.com> - 8.0-0
- Initial creation of lorax-templates-rhel package
